zookeeper-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From f..@apache.org
Subject svn commit: r1416655 - in /zookeeper/bookkeeper/trunk: CHANGES.txt bin/test-patch
Date Mon, 03 Dec 2012 20:31:52 GMT
Author: fpj
Date: Mon Dec  3 20:31:51 2012
New Revision: 1416655

URL: http://svn.apache.org/viewvc?rev=1416655&view=rev
Log:
BOOKKEEPER-484: Misc fixes for test scripts (ivank via fpj)


Modified:
    zookeeper/bookkeeper/trunk/CHANGES.txt
    zookeeper/bookkeeper/trunk/bin/test-patch

Modified: zookeeper/bookkeeper/trunk/CHANGES.txt
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/CHANGES.txt?rev=1416655&r1=1416654&r2=1416655&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/CHANGES.txt (original)
+++ zookeeper/bookkeeper/trunk/CHANGES.txt Mon Dec  3 20:31:51 2012
@@ -32,6 +32,8 @@ Trunk (unreleased changes)
 
       BOOKKEEPER-32: Clean up LOG.debug statements (Stu Hood via sijie)
 
+      BOOKKEEPER-484: Misc fixes for test scripts (ivank via fpj)
+
       bookkeeper-server:
 
         BOOKKEEPER-183: Provide tools to read/check data files in bookie server (sijie via
ivank)

Modified: zookeeper/bookkeeper/trunk/bin/test-patch
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/bin/test-patch?rev=1416655&r1=1416654&r2=1416655&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/bin/test-patch (original)
+++ zookeeper/bookkeeper/trunk/bin/test-patch Mon Dec  3 20:31:51 2012
@@ -252,7 +252,7 @@ downloadPatch () {
     if [[ `grep -c 'Patch Available' ${jiraPage}` == 0 ]] ; then
         echo "$JIRAISSUE is not \"Patch Available\".  Exiting."
         echo
-        cleanupAndExit 1
+        exit 1
     fi
     relativePatchURL=`grep -o '"/jira/secure/attachment/[0-9]*/[^"]*' ${jiraPage} \
         | grep -v -e 'htm[l]*$' | sort | tail -1 \
@@ -265,9 +265,10 @@ downloadPatch () {
         echo
         cleanupAndExit 1
     fi
+    PATCHNAME=$(echo $patchURL | sed 's/.*\///g')
     echo "JIRA ${JIRAISSUE}, patch downloaded at `date` from ${patchURL}" 
     echo
-    echo "Patch <a href=\"$relativePatchURL\">$relativePatchURL</a> downloaded
at $(date)" >> ${SUMMARYFILE}
+    echo "Patch [$PATCHNAME|$patchURL] downloaded at $(date)" >> ${SUMMARYFILE}
     echo "" >> ${SUMMARYFILE}
 }
 ###############################################################################
@@ -347,6 +348,8 @@ echo
 
 parseArgs "$@"
 
+prepareSCM
+
 prepareTestPatchDirs
 
 echo "" > ${SUMMARYFILE}
@@ -367,8 +370,6 @@ else
     echo "" >> ${SUMMARYFILE}
 fi
 
-prepareSCM
-
 echo "" >> ${SUMMARYFILE}
 
 if [ "${PATCHFILE}" == "" ] ; then



Mime
View raw message